:root {
    --menu-count: 4;
}

.fa-solid {
    /* margin-left: 0.5rem; */
    margin-right: 0.5rem;
}

.dropdownmenu {
    display: flex;
}

.dropdownmenu ul {
    display: flex;
    /* flex-direction: column; */
    flex-direction: row;
    justify-content: space-between;
    /* flex-grow: 1; */
    /* flex-shrink: 1; */
    /* min-width: 0; */
    /* flex-basis: auto; */

    margin: 0;
    padding: 0;
    list-style: none;
    gap: 0.2rem;
}

.dropdownmenu li.active {
    background-color: var(--v2-bg-main-color);
}

.dropdownmenu ul li {
    position: relative;
    background-color: var(--v2-fg-color-C);
}

.dropdownmenu ul li a {
    display: block;
    padding: 0.75em 0.75rem;
    /* max-width: 12em; */

    color: var(--v2-txt-main-color);
    text-decoration: none;
    /* text-align: end; */
    text-align: start;
    cursor: pointer;
    transition: all ease-in-out 250ms;
    line-height: 1.5em;
}

.dropdownmenu ul li a:hover {
    background-color: var(--v2-fg-color-B);
    color: var(--v2-txt-main-color);
}

.dropdownmenu ul li ul {
    visibility: hidden;
    opacity: 0;
    display: none;
    position: absolute;
    /* right: 125px; */
    /* top: 0; */
    top: 3.2em;
    transition: all ease-in-out 500ms;
}

.dropdownmenu ul li ul li a {
    white-space: nowrap;
    margin-bottom: 0.2rem;
}

.dropdownmenu ul li:hover > ul {
    visibility: visible;
    opacity: 1;
    display: block;
}

@media only screen and (max-width: 767px) {
    .dropdownmenu ul {
        font-size: 1rem;
        flex-direction: column;
    }

    .dropdownmenu ul li {
        padding: .5rem 1rem;
    }

    .dropdownmenu ul li ul {
        visibility: hidden;
        opacity: 0;
        display: none;
        position: relative;
        right: 0;
        top: 0;
        transition: all ease-in-out 100ms;
    }
}